<?xml version="1.0" encoding="UTF-8"?>
<!--

    Copyright 2018 Scytl Secure Electronic Voting SA

    All rights reserved

    See our extended copyright notice in *file 'Copyright.txt' which is part of this source code package

-->
<web-app xmlns="http://java.sun.com/xml/ns/javaee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		 xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd"
		 version="2.5">

    <filter>
        <filter-name>LoggingFilter</filter-name>
        <filter-class>com.scytl.products.ov.filter.VmLoggingFilter</filter-class>
    </filter>
    <filter-mapping>
        <filter-name>LoggingFilter</filter-name>
        <url-pattern>/*</url-pattern>
    </filter-mapping>


    <filter>
        <filter-name>SignedRequestFilter</filter-name>
        <filter-class>com.scytl.products.ov.commons.infrastructure.remote.filter.SignedRequestFilter</filter-class>
        <init-param>
            <param-name>urlRegularExpression</param-name>
            <param-value>.*secured.*|.*platformdata.*|.*tenantdata.*</param-value>
        </init-param>
    </filter>
    <filter-mapping>
        <filter-name>SignedRequestFilter</filter-name>
        <url-pattern>/*</url-pattern>
    </filter-mapping>

    <listener>
        <listener-class>com.scytl.products.ov.vm.infrastructure.log.VmContextListener</listener-class>
    </listener>
    
</web-app>
